com.genesyslab.wfm8.API.service.schedule850

## Class SchValidationHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule850.SchValidationHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchValidationHolder
      extends java.lang.Object
      implements java.io.Serializable

  `SchValidation` holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected boolean` | `success` Indicator of operation success or failure
    `protected java.util.List<SchValidation>` | `validationArray` An array of `SchValidation`
    `protected int` | `validationArrayNSizeIs` Number of elements in the "validationArray" array
    `protected java.util.List<java.lang.String>` | `wmErrors` An array of general errors
    `protected int` | `wmErrorsNSizeIs` Number of elements in the "wmErrors" array
    `protected java.util.List<java.lang.String>` | `wmWarnings` An array of general warnings
    `protected int` | `wmWarningsNSizeIs` Number of elements in the "wmWarnings" array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchValidationHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<SchValidation>` | `getValidationArray()` Gets the value of the validationArray property.
    `int` | `getValidationArrayNSizeIs()` Gets the value of the validationArrayNSizeIs property.
    `java.util.List<java.lang.String>` | `getWmErrors()` Gets the value of the wmErrors property.
    `int` | `getWmErrorsNSizeIs()` Gets the value of the wmErrorsNSizeIs property.
    `java.util.List<java.lang.String>` | `getWmWarnings()` Gets the value of the wmWarnings property.
    `int` | `getWmWarningsNSizeIs()` Gets the value of the wmWarningsNSizeIs property.
    `int` | `hashCode()`
    `boolean` | `isSuccess()` Gets the value of the success property.
    `void` | `setSuccess(boolean value)` Sets the value of the success property.
    `void` | `setValidationArray(java.util.List<SchValidation> validationArray)` Sets the value of the validationArray property.
    `void` | `setValidationArrayNSizeIs(int value)` Sets the value of the validationArrayNSizeIs property.
    `void` | `setWmErrors(java.util.List<java.lang.String> wmErrors)` Sets the value of the wmErrors property.
    `void` | `setWmErrorsNSizeIs(int value)` Sets the value of the wmErrorsNSizeIs property.
    `void` | `setWmWarnings(java.util.List<java.lang.String> wmWarnings)` Sets the value of the wmWarnings property.
    `void` | `setWmWarningsNSizeIs(int value)` Sets the value of the wmWarningsNSizeIs property.
    `java.lang.String` | `toString()`
    `SchValidationHolder` | `withSuccess(boolean value)`
    `SchValidationHolder` | `withValidationArray(java.util.Collection<SchValidation> values)`
    `SchValidationHolder` | `withValidationArray(SchValidation... values)`
    `SchValidationHolder` | `withValidationArrayNSizeIs(int value)`
    `SchValidationHolder` | `withWmErrors(java.util.Collection<java.lang.String> values)`
    `SchValidationHolder` | `withWmErrors(java.lang.String... values)`
    `SchValidationHolder` | `withWmErrorsNSizeIs(int value)`
    `SchValidationHolder` | `withWmWarnings(java.util.Collection<java.lang.String> values)`
    `SchValidationHolder` | `withWmWarnings(java.lang.String... values)`
    `SchValidationHolder` | `withWmWarningsNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### success

          protected boolean success

      Indicator of operation success or failure

    - #### wmErrorsNSizeIs

          protected int wmErrorsNSizeIs

      Number of elements in the "wmErrors" array

    - #### wmErrors

          protected java.util.List<java.lang.String> wmErrors

      An array of general errors

    - #### wmWarningsNSizeIs

          protected int wmWarningsNSizeIs

      Number of elements in the "wmWarnings" array

    - #### wmWarnings

          protected java.util.List<java.lang.String> wmWarnings

      An array of general warnings

    - #### validationArrayNSizeIs

          protected int validationArrayNSizeIs

      Number of elements in the "validationArray" array

    - #### validationArray

          protected java.util.List<SchValidation> validationArray

      An array of `SchValidation`

  - ### Constructor Detail

    - #### SchValidationHolder

          public SchValidationHolder()

  - ### Method Detail

    - #### isSuccess

          public boolean isSuccess()

      Gets the value of the success property.

    - #### setSuccess

          public void setSuccess(boolean value)

      Sets the value of the success property.

    - #### getWmErrorsNSizeIs

          public int getWmErrorsNSizeIs()

      Gets the value of the wmErrorsNSizeIs property.

    - #### setWmErrorsNSizeIs

          public void setWmErrorsNSizeIs(int value)

      Sets the value of the wmErrorsNSizeIs property.

    - #### getWmErrors

          public java.util.List<java.lang.String> getWmErrors()

      Gets the value of the wmErrors property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmErrors property.

      For example, to add a new item, do as follows:

              getWmErrors().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getWmWarningsNSizeIs

          public int getWmWarningsNSizeIs()

      Gets the value of the wmWarningsNSizeIs property.

    - #### setWmWarningsNSizeIs

          public void setWmWarningsNSizeIs(int value)

      Sets the value of the wmWarningsNSizeIs property.

    - #### getWmWarnings

          public java.util.List<java.lang.String> getWmWarnings()

      Gets the value of the wmWarnings property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmWarnings property.

      For example, to add a new item, do as follows:

              getWmWarnings().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getValidationArrayNSizeIs

          public int getValidationArrayNSizeIs()

      Gets the value of the validationArrayNSizeIs property.

    - #### setValidationArrayNSizeIs

          public void setValidationArrayNSizeIs(int value)

      Sets the value of the validationArrayNSizeIs property.

    - #### getValidationArray

          public java.util.List<SchValidation> getValidationArray()

      Gets the value of the validationArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the validationArray property.

      For example, to add a new item, do as follows:

              getValidationArray().add(newItem);

      Objects of the following type(s) are allowed in the list `SchValidation`

    - #### withSuccess

          public SchValidationHolder withSuccess(boolean value)

    - #### withWmErrorsNSizeIs

          public SchValidationHolder withWmErrorsNSizeIs(int value)

    - #### withWmErrors

          public SchValidationHolder withWmErrors(java.lang.String... values)

    - #### withWmErrors

          public SchValidationHolder withWmErrors(java.util.Collection<java.lang.String> values)

    - #### withWmWarningsNSizeIs

          public SchValidationHolder withWmWarningsNSizeIs(int value)

    - #### withWmWarnings

          public SchValidationHolder withWmWarnings(java.lang.String... values)

    - #### withWmWarnings

          public SchValidationHolder withWmWarnings(java.util.Collection<java.lang.String> values)

    - #### withValidationArrayNSizeIs

          public SchValidationHolder withValidationArrayNSizeIs(int value)

    - #### withValidationArray

          public SchValidationHolder withValidationArray(SchValidation... values)

    - #### withValidationArray

          public SchValidationHolder withValidationArray(java.util.Collection<SchValidation> values)

    - #### setWmErrors

          public void setWmErrors(java.util.List<java.lang.String> wmErrors)

      Sets the value of the wmErrors property.
      Parameters:
        `wmErrors` - allowed object is `String`

    - #### setWmWarnings

          public void setWmWarnings(java.util.List<java.lang.String> wmWarnings)

      Sets the value of the wmWarnings property.
      Parameters:
        `wmWarnings` - allowed object is `String`

    - #### setValidationArray

          public void setValidationArray(java.util.List<SchValidation> validationArray)

      Sets the value of the validationArray property.
      Parameters:
        `validationArray` - allowed object is `SchValidation`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.